phpLDAPadmin

# Class: Datastore

Source Location: /templates/3rdParty/pla/lib/ds.php

### Class Overview

The list of database sources

### Methods

- __construct
- getServerList
- Instance
- InstanceId
- InstanceName
- newServer
- setValue

### Class Details

[line 508]
The list of database sources
[ Top ]

### Class Methods

### constructor __construct [line 516]

`Datastore __construct( )`

#### Tags:

access: | public

[ Top ]

### method getServerList [line 640]

`array getServerList( [boolean $isVisible = true])`

Get a list of all the configured servers.

#### Tags:

return: | list of all configured servers.
access: | public

#### Parameters:

boolean | $isVisible | Only show visible servers.

[ Top ]

### method Instance [line 673]

`object Datastore Instance( [int $index = null])`

Return an object Instance of a configured database.

#### Tags:

return: | instance object.
access: | public

#### Parameters:

int | $index | Index

[ Top ]

### method InstanceId [line 714]

`object Datastore InstanceId( [string $id = null])`

Return an object Instance of a configured database.

#### Tags:

return: | instance object.
access: | public

#### Parameters:

string | $id | ID of the instance to retrieve

[ Top ]

### method InstanceName [line 696]

`object Datastore InstanceName( [string $name = null])`

Return an object Instance of a configured database.

#### Tags:

return: | instance object.
access: | public

#### Parameters:

string | $name | Name of the instance to retrieve

[ Top ]

### method newServer [line 600]

`void newServer( $type)`

Create a new database object

#### Tags:

access: | public

#### Parameters:

| $type |

[ Top ]

### method setValue [line 616]

`void setValue( $key, $setting, $value)`

Set values for a database object.

#### Tags:

access: | public

#### Parameters:

| $key |
| $setting |
| $value |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:37 +0100 by phpDocumentor 1.4.1